# Update buffer encoding

This function converts a buffer from one encoding language to another.

Important:

  When you disable the File Storage role, the system disables this function.

Endpoint: GET /Fileman/transcode
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `content` (string, required)
    The file's contents.
    Example: "hi"

  - `discard_illegal` (integer)
    Whether to discard any characters that do not transcode correctly.
  * 1 - Discard invalid characters.
  * 0 - Transcode invalid characters in the default character set encoding.
    Enum: 0, 1

  - `from_charset` (string)
    The file's current character set encoding.
    Example: "UTF-8"

  - `to_charset` (string)
    The character set encoding in which to encode the file.
    Example: "ASCII"

  - `transliterate` (integer)
    Whether to transcode invalid characters to valid characters in the new character set encoding.
  * 1 - Transcode invalid characters in the new character set encoding.
  * 0 - Return an error message.
    Enum: 0, 1

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "transcode"

  - `module` (string)
    The name of the module called.
    Example: "Fileman"

  - `result` (object)

  - `result.data` (object)

  - `result.data.charset` (string)
    The file's new character set.
    Example: "ASCII"

  - `result.data.content` (string)
    The file's content.
    Example: "hi"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


